Index: units/images/image_tag_processor.php
===================================================================
--- units/images/image_tag_processor.php	(revision 14020)
+++ units/images/image_tag_processor.php	(working copy)
@@ -381,11 +381,16 @@
 
 		// absolute url
 		if (preg_match('/^(.*):\/\/(.*)$/U', $path)) {
-			return preg_replace('/^'.preg_quote($this->Application->BaseURL(), '/').'(.*)/', FULL_PATH.'/\\1', $path);
+			$file_helper =& $this->Application->recallObject('FileHelper');
+			/* @var $file_helper FileHelper */
+
+			return $file_helper->urlToPath($path);
 		}
 
-		// relative url
-		return FULL_PATH.'/'.mb_substr(THEMES_PATH, 1).'/'.$path;
+		// TODO: change to urlToPath usage later		
+		// relative url (we add sort of <inp2:m_TemplatesBase/> does
+		
+		return FULL_PATH . '/' . mb_substr(THEMES_PATH, 1) . '/' . rawurldecode($path);
 	}
 
 	/**
